Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Class SybaseDictionary.SybaseConnection

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingConnection
          org.apache.openjpa.jdbc.sql.SybaseDictionary.SybaseConnection

All Implemented Interfaces:
  Connection, Wrapper, Closeable

Enclosing class:
  SybaseDictionary

    protected abstract static class SybaseDictionary.SybaseConnection

extends DelegatingConnection

Connection wrapper to cache the `Connection.getCatalog()` result, which takes a very long time with the Sybase Connection (and which we frequently invoke).

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`SybaseDictionary.SybaseConnection(Connection conn)`

Method Summary
`String` | `getCatalog()`
`void` | `setAutoCommit(boolean autocommit)`

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingConnection
`abort, appendInfo, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStatement, createStatement, createStatement, createStruct, equals, getAutoCommit, getClientInfo, getClientInfo, getDelegate, getHoldability, getInnermostDelegate, getMetaData, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, hashCode, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, toString, unwrap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SybaseDictionary.SybaseConnection

    public SybaseDictionary.SybaseConnection(Connection conn)

Method Detail

### getCatalog

    public String getCatalog()
                      throws SQLException

  Specified by:
    `getCatalog` in interface `Connection`
  Overrides:
    `getCatalog` in class `DelegatingConnection`
  Throws:
    `SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autocommit)
                       throws SQLException

  Specified by:
    `setAutoCommit` in interface `Connection`
  Overrides:
    `setAutoCommit` in class `DelegatingConnection`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.